Skip to main content
GET
/
v6
/
templates
/
rules
/
{id}
Get template rule
curl --request GET \
  --url https://sandbox.tight.com/v6/templates/rules/{id} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "ttrl_12345678",
    "status": "ACTIVE",
    "filter": {
      "amount": {
        "equal": 123,
        "greaterThan": 123,
        "greaterThanEqual": 123,
        "lessThan": 123,
        "lessThanEqual": 123
      },
      "description": {
        "equal": "Office Supplies",
        "contain": "Supplies"
      },
      "businessType": {
        "id": {
          "equal": "tgla_324231"
        }
      },
      "templateGlAccount": {
        "id": {
          "equal": "tgla_324231"
        }
      },
      "vendorName": {
        "name": "Office Depot"
      }
    },
    "update": {
      "reviewStatus": "RECONCILED",
      "templateGlAccountId": "tgla_324231",
      "vendorName": "Office Depot"
    },
    "customData": {
      "internal_key": "some_internal_key",
      "some_other_field": 23434
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is a partner-level token.

Path Parameters

id
string
required

The id of the template rule

Response

Success

result
enum<string>

The result of the action performed.

Available options:
SUCCESS,
FAILURE
data
object

The data generated by the action performed.